package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussMerchantRefundOrder implements Serializable {
    private Integer id;

    private String merchantcode;

    private String alias;

    private String ordernumber;

    private String refundno;

    private String channelno;

    private Date paytime;

    private Date refundtime;

    private String status;

    private String ordertype;

    private String paytypecode;

    private String paytypename;

    private BigDecimal payamt;

    private String aisleswitch;

    private Date createtime;

    private String channelmercno;

    private String failmsg;

    private BigDecimal refundamt;

    private String mercrefundno;

    private String notifyurl;

    private String refundreason;

    private String mercorderno;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMerchantcode() {
        return merchantcode;
    }

    public void setMerchantcode(String merchantcode) {
        this.merchantcode = merchantcode == null ? null : merchantcode.trim();
    }

    public String getAlias() {
        return alias;
    }

    public void setAlias(String alias) {
        this.alias = alias == null ? null : alias.trim();
    }

    public String getOrdernumber() {
        return ordernumber;
    }

    public void setOrdernumber(String ordernumber) {
        this.ordernumber = ordernumber == null ? null : ordernumber.trim();
    }

    public String getRefundno() {
        return refundno;
    }

    public void setRefundno(String refundno) {
        this.refundno = refundno == null ? null : refundno.trim();
    }

    public String getChannelno() {
        return channelno;
    }

    public void setChannelno(String channelno) {
        this.channelno = channelno == null ? null : channelno.trim();
    }

    public Date getPaytime() {
        return paytime;
    }

    public void setPaytime(Date paytime) {
        this.paytime = paytime;
    }

    public Date getRefundtime() {
        return refundtime;
    }

    public void setRefundtime(Date refundtime) {
        this.refundtime = refundtime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getOrdertype() {
        return ordertype;
    }

    public void setOrdertype(String ordertype) {
        this.ordertype = ordertype == null ? null : ordertype.trim();
    }

    public String getPaytypecode() {
        return paytypecode;
    }

    public void setPaytypecode(String paytypecode) {
        this.paytypecode = paytypecode == null ? null : paytypecode.trim();
    }

    public String getPaytypename() {
        return paytypename;
    }

    public void setPaytypename(String paytypename) {
        this.paytypename = paytypename == null ? null : paytypename.trim();
    }

    public BigDecimal getPayamt() {
        return payamt;
    }

    public void setPayamt(BigDecimal payamt) {
        this.payamt = payamt;
    }

    public String getAisleswitch() {
        return aisleswitch;
    }

    public void setAisleswitch(String aisleswitch) {
        this.aisleswitch = aisleswitch == null ? null : aisleswitch.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getChannelmercno() {
        return channelmercno;
    }

    public void setChannelmercno(String channelmercno) {
        this.channelmercno = channelmercno == null ? null : channelmercno.trim();
    }

    public String getFailmsg() {
        return failmsg;
    }

    public void setFailmsg(String failmsg) {
        this.failmsg = failmsg == null ? null : failmsg.trim();
    }

    public BigDecimal getRefundamt() {
        return refundamt;
    }

    public void setRefundamt(BigDecimal refundamt) {
        this.refundamt = refundamt;
    }

    public String getMercrefundno() {
        return mercrefundno;
    }

    public void setMercrefundno(String mercrefundno) {
        this.mercrefundno = mercrefundno == null ? null : mercrefundno.trim();
    }

    public String getNotifyurl() {
        return notifyurl;
    }

    public void setNotifyurl(String notifyurl) {
        this.notifyurl = notifyurl == null ? null : notifyurl.trim();
    }

    public String getRefundreason() {
        return refundreason;
    }

    public void setRefundreason(String refundreason) {
        this.refundreason = refundreason == null ? null : refundreason.trim();
    }

    public String getMercorderno() {
        return mercorderno;
    }

    public void setMercorderno(String mercorderno) {
        this.mercorderno = mercorderno == null ? null : mercorderno.trim();
    }
}